Error repository after upgrade to NS 7.6

updates
infrastructure
softwarecenter
v7
v76

(Federico Ballarini) #1

NethServer Version: 7.6
Module: Software Center

Hi all,
when I go to software center I see some updates to apply. When I try to install them, I get an error: Resolving RPM dependencies -> Clear cache…
I already cleaned cache without any change.

I try to updates Nethserver from CLI whit yum update command. I get this:

Downloading packages:
Finishing delta rebuilds of 1 package(s) (837 k)
Some delta RPMs failed to download or rebuild. Retrying..            100% [===========================================================]  0.0 B/s | 837 kB  --:--:-- ETA
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://mrmarkuz.dynu.net/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
https://mirror.alpix.eu/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTPS Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://mirror.framassa.org/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://server.liftingtrade.hu/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://nethserver.de-labrusse.fr/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://buck.goip.de/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not SatisfiableA
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://ketrax.eu/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 404 - Not FoundB/s |    0 B  --:--:-- ETA
Trying other mirror.
To address this issue please refer to the below wiki article

https://wiki.centos.org/yum-errors

If above article doesn't help to resolve this issue please use https://bugs.centos.org/.

nethserver-cockpit-0.2.0-1.ns7 FAILED
https://markusneuberger.at/mirror/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTPS Error 404 - Not Found-:-- ETA
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://mrmarkuz.goip.de/mirror/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://nethserver.interlin.nl/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
https://mirror.pcxlan.es/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTPS Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://mirror.nethserver.org/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
https://mirror.nethesis.it/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTPS Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://mirror1.nethserver.org/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://ns-mirror2.ibi.net.br/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not SatisfiableETA
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://ns-mirror1.ibi.net.br/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not SatisfiableETA
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://ns-mirror3.ibi.net.br/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not SatisfiableETA
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://mirror.nordest.systems/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.


Error downloading packages:
  nethserver-cockpit-0.2.0-1.ns7.noarch: [Errno 256] No more mirrors to try.

Any idea?

Thanks.


(Marc) #2

(Federico Ballarini) #3

Thank you: it works.


(Davide Principi) #4

I don’t know if it’s related but there’s a stale mirror

http://mirror-status.nethserver.org/

/Cc @mrmarkuz


(Markus Neuberger) #5

Thanks, the rsync cron job was not running, should be fixed the next hour…


(Avery Freeman) #6

I am having this issue today - do not see any stale mirror on mirror-status.nethserver.org

Issue output:

# yum update
Loaded plugins: changelog, fastestmirror, nethserver_events
Loading mirror speeds from cached hostfile
 * base: centos.s.uw.edu
 * epel: sjc.edge.kernel.org
 * extras: centos.s.uw.edu
 * nethforge: mirror.nethserver.org
 * nethserver-base: mirror.nethserver.org
 * nethserver-updates: mirror.nethserver.org
 * updates: centos.s.uw.edu
nethserver-base/7/x86_64/signature                       |  836 B     00:00
nethserver-base/7/x86_64/signature                       | 2.9 kB     00:00 !!!
nethserver-updates/7/x86_64/signature                    |  836 B     00:00
nethserver-updates/7/x86_64/signature                    | 4.1 kB     00:00 !!!
Resolving Dependencies
--> Running transaction check
---> Package ghostscript.x86_64 0:9.07-31.el7_6.3 will be updated
---> Package ghostscript.x86_64 0:9.07-31.el7_6.6 will be an update
---> Package ghostscript-cups.x86_64 0:9.07-31.el7_6.3 will be updated
---> Package ghostscript-cups.x86_64 0:9.07-31.el7_6.6 will be an update
---> Package nethserver-backup-data.noarch 0:1.4.3-1.ns7 will be updated
---> Package nethserver-backup-data.noarch 0:1.4.4-1.ns7 will be an update
---> Package nethserver-base.noarch 0:3.6.1-1.ns7 will be updated
---> Package nethserver-base.noarch 0:3.6.2-1.ns7 will be an update
---> Package nethserver-cockpit.noarch 0:0.1.1-1.ns7 will be updated
---> Package nethserver-cockpit.noarch 0:0.2.0-1.ns7 will be an update
---> Package nethserver-mail-smarthost.noarch 0:2.4.2-1.ns7 will be updated
---> Package nethserver-mail-smarthost.noarch 0:2.4.3-1.ns7 will be an update
---> Package nethserver-nextcloud.noarch 0:1.3.0-1.ns7 will be updated
---> Package nethserver-nextcloud.noarch 0:1.4.0-1.ns7 will be an update
---> Package nethserver-release.noarch 0:7-11.ns7 will be updated
---> Package nethserver-release.noarch 0:7-12.ns7 will be an update
---> Package nethserver-samba.noarch 0:4.2.0-1.ns7 will be updated
---> Package nethserver-samba.noarch 0:4.2.1-1.ns7 will be an update
---> Package nethserver-subscription.noarch 0:3.2.1-1.ns7 will be updated
---> Package nethserver-subscription.noarch 0:3.3.0-1.ns7 will be an update
---> Package nethserver-subscription-ui.noarch 0:3.2.1-1.ns7 will be updated
---> Package nethserver-subscription-ui.noarch 0:3.3.0-1.ns7 will be an update
---> Package nextcloud.noarch 0:14.0.4-1.el7 will be updated
---> Package nextcloud.noarch 0:15.0.0-1.el7 will be an update
--> Processing Dependency: rh-php71-php-imagick for package: nextcloud-15.0.0-1.el7.noarch
--> Running transaction check
---> Package sclo-php71-php-pecl-imagick.x86_64 0:3.4.3-2.el7 will be installed
--> Processing Dependency: libMagickWand.so.5()(64bit) for package: sclo-php71-php-pecl-imagick-3.4.3-2.el7.x86_64
--> Processing Dependency: libMagickCore.so.5()(64bit) for package: sclo-php71-php-pecl-imagick-3.4.3-2.el7.x86_64
--> Running transaction check
---> Package ImageMagick.x86_64 0:6.7.8.9-15.el7_2 will be installed
--> Processing Dependency: libwmflite-0.2.so.7()(64bit) for package: ImageMagick-6.7.8.9-15.el7_2.x86_64
--> Processing Dependency: librsvg-2.so.2()(64bit) for package: ImageMagick-6.7.8.9-15.el7_2.x86_64
--> Processing Dependency: libjasper.so.1()(64bit) for package: ImageMagick-6.7.8.9-15.el7_2.x86_64
--> Processing Dependency: libgdk_pixbuf-2.0.so.0()(64bit) for package: ImageMagick-6.7.8.9-15.el7_2.x86_64
--> Processing Dependency: libImath.so.6()(64bit) for package: ImageMagick-6.7.8.9-15.el7_2.x86_64
--> Processing Dependency: libIlmThread.so.6()(64bit) for package: ImageMagick-6.7.8.9-15.el7_2.x86_64
--> Processing Dependency: libIlmImf.so.7()(64bit) for package: ImageMagick-6.7.8.9-15.el7_2.x86_64
--> Processing Dependency: libIexMath.so.6()(64bit) for package: ImageMagick-6.7.8.9-15.el7_2.x86_64
--> Processing Dependency: libIex.so.6()(64bit) for package: ImageMagick-6.7.8.9-15.el7_2.x86_64
--> Processing Dependency: libHalf.so.6()(64bit) for package: ImageMagick-6.7.8.9-15.el7_2.x86_64
--> Running transaction check
---> Package OpenEXR-libs.x86_64 0:1.7.1-7.el7 will be installed
---> Package gdk-pixbuf2.x86_64 0:2.36.12-3.el7 will be installed
---> Package ilmbase.x86_64 0:1.0.3-7.el7 will be installed
---> Package jasper-libs.x86_64 0:1.900.1-33.el7 will be installed
---> Package librsvg2.x86_64 0:2.40.20-1.el7 will be installed
---> Package libwmf-lite.x86_64 0:0.2.8.4-41.el7_1 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                     Arch   Version            Repository          Size
================================================================================
Updating:
 ghostscript                 x86_64 9.07-31.el7_6.6    updates            4.3 M
 ghostscript-cups            x86_64 9.07-31.el7_6.6    updates             59 k
 nethserver-backup-data      noarch 1.4.4-1.ns7        nethserver-updates  65 k
 nethserver-base             noarch 3.6.2-1.ns7        nethserver-updates 247 k
 nethserver-cockpit          noarch 0.2.0-1.ns7        nethserver-updates 837 k
 nethserver-mail-smarthost   noarch 2.4.3-1.ns7        nethserver-updates  45 k
 nethserver-nextcloud        noarch 1.4.0-1.ns7        nethserver-updates  28 k
 nethserver-release          noarch 7-12.ns7           nethserver-updates  25 k
 nethserver-samba            noarch 4.2.1-1.ns7        nethserver-updates  52 k
 nethserver-subscription     noarch 3.3.0-1.ns7        nethserver-updates  50 k
 nethserver-subscription-ui  noarch 3.3.0-1.ns7        nethserver-updates  24 k
 nextcloud                   noarch 15.0.0-1.el7       nethserver-updates  33 M
Installing for dependencies:
 ImageMagick                 x86_64 6.7.8.9-15.el7_2   base               2.1 M
 OpenEXR-libs                x86_64 1.7.1-7.el7        base               217 k
 gdk-pixbuf2                 x86_64 2.36.12-3.el7      base               570 k
 ilmbase                     x86_64 1.0.3-7.el7        base               100 k
 jasper-libs                 x86_64 1.900.1-33.el7     base               150 k
 librsvg2                    x86_64 2.40.20-1.el7      base               132 k
 libwmf-lite                 x86_64 0.2.8.4-41.el7_1   base                66 k
 sclo-php71-php-pecl-imagick x86_64 3.4.3-2.el7        centos-sclo-sclo   115 k

Transaction Summary
================================================================================
Install              ( 8 Dependent packages)
Upgrade  12 Packages

Total size: 42 M
Total download size: 837 k
Is this ok [y/d/N]: y
Downloading packages:
Finishing delta rebuilds of 1 package(s) (837 k)
Some delta RPMs failed to download or rebuild. Retrying..| 837 kB     --:-- ETA
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://mirror.nethserver.org/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://mirror.framassa.org/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://buck.goip.de/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
https://markusneuberger.at/mirror/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTPS Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://nethserver.de-labrusse.fr/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://mirror.nordest.systems/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://mrmarkuz.dynu.net/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
https://mirror.alpix.eu/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTPS Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://nethserver.interlin.nl/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://server.liftingtrade.hu/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://ketrax.eu/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
https://mirror.nethesis.it/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTPS Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://ns-mirror1.ibi.net.br/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
https://mirror.pcxlan.es/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTPS Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://ns-mirror2.ibi.net.br/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://ns-mirror3.ibi.net.br/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://mirror1.nethserver.org/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED
http://mrmarkuz.goip.de/mirror/nethserver/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.


Error downloading packages:
  nethserver-cockpit-0.2.0-1.ns7.noarch: [Errno 256] No more mirrors to try.

Installed http://mrmarkuz.goip.de/mirror/nethserver/7.6.1810/base/x86_64/Packages/kmod-xt_ndpi-2.4.0-1.ns7.x86_64.rpm – but does not seem pertinent to mirror issues

Turned off sonicwall in services, retried # yum update

There’s got to be a simple solution, I can see the packages in both http://mrmarkuz.goip.de/mirror/nethserver/7.6.1810/Updates/x86_64/Packages/ and http://mirror.nethserver.org/nethserver/7.6.1810/updates/x86_64/Packages/

Manual download of rpm files attempted with wget but # rpm -i produces errors for some packages, e.g.:

# rpm -i nethserver-nextcloud-1.4.0-1.ns7.noarch.rpm
error: Failed dependencies:
        nextcloud >= 15.0.0 is needed by nethserver-nextcloud-1.4.0-1.ns7.noarch

Current workaround:

# yum check-update

manually download all listed rpms from http://mirror.nethserver.org/nethserver/7.6.1810/updates/x86_64/Packages/

# yum -y localinstall --nogpgcheck *
Loaded plugins: changelog, fastestmirror, nethserver_events
Examining kmod-xt_ndpi-2.4.0-1.ns7.x86_64.rpm: kmod-xt_ndpi-2.4.0-1.ns7.x86_64
kmod-xt_ndpi-2.4.0-1.ns7.x86_64.rpm: does not update installed package.
Examining nethserver-base-3.6.2-1.ns7.noarch.rpm: nethserver-base-3.6.2-1.ns7.noarch
Marking nethserver-base-3.6.2-1.ns7.noarch.rpm as an update to nethserver-base-3.6.1-1.ns7.noarch
Examining nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: nethserver-cockpit-0.2.0-1.ns7.noarch
Marking nethserver-cockpit-0.2.0-1.ns7.noarch.rpm as an update to nethserver-cockpit-0.1.1-1.ns7.noarch
Examining nethserver-mail-smarthost-2.4.3-1.ns7.noarch.rpm: nethserver-mail-smarthost-2.4.3-1.ns7.noarch
Marking nethserver-mail-smarthost-2.4.3-1.ns7.noarch.rpm as an update to nethserver-mail-smarthost-2.4.2-1.ns7.noarch
Examining nethserver-nextcloud-1.4.0-1.ns7.noarch.rpm: nethserver-nextcloud-1.4.0-1.ns7.noarch
Marking nethserver-nextcloud-1.4.0-1.ns7.noarch.rpm as an update to nethserver-nextcloud-1.3.0-1.ns7.noarch
Examining nethserver-release-7-12.ns7.noarch.rpm: nethserver-release-7-12.ns7.noarch
Marking nethserver-release-7-12.ns7.noarch.rpm as an update to nethserver-release-7-11.ns7.noarch
Examining nethserver-samba-4.2.1-1.ns7.noarch.rpm: nethserver-samba-4.2.1-1.ns7.noarch
Marking nethserver-samba-4.2.1-1.ns7.noarch.rpm as an update to nethserver-samba-4.2.0-1.ns7.noarch
Examining nethserver-subscription-3.3.0-1.ns7.noarch.rpm: nethserver-subscription-3.3.0-1.ns7.noarch
Marking nethserver-subscription-3.3.0-1.ns7.noarch.rpm as an update to nethserver-subscription-3.2.1-1.ns7.noarch
Examining nethserver-subscription-ui-3.3.0-1.ns7.noarch.rpm: nethserver-subscription-ui-3.3.0-1.ns7.noarch
Marking nethserver-subscription-ui-3.3.0-1.ns7.noarch.rpm as an update to nethserver-subscription-ui-3.2.1-1.ns7.noarch
Resolving Dependencies
--> Running transaction check
---> Package nethserver-base.noarch 0:3.6.1-1.ns7 will be updated
---> Package nethserver-base.noarch 0:3.6.2-1.ns7 will be an update
---> Package nethserver-cockpit.noarch 0:0.1.1-1.ns7 will be updated
---> Package nethserver-cockpit.noarch 0:0.2.0-1.ns7 will be an update
---> Package nethserver-mail-smarthost.noarch 0:2.4.2-1.ns7 will be updated
---> Package nethserver-mail-smarthost.noarch 0:2.4.3-1.ns7 will be an update
---> Package nethserver-nextcloud.noarch 0:1.3.0-1.ns7 will be updated
---> Package nethserver-nextcloud.noarch 0:1.4.0-1.ns7 will be an update
--> Processing Dependency: nextcloud >= 15.0.0 for package: nethserver-nextcloud-1.4.0-1.ns7.noarch
Loading mirror speeds from cached hostfile
* base: centos.s.uw.edu
* epel: sjc.edge.kernel.org
* extras: centos.s.uw.edu
* nethforge: mirror.nethserver.org
* nethserver-base: mirror.nethserver.org
* nethserver-updates: mirror.nethserver.org
* updates: centos.s.uw.edu
---> Package nethserver-release.noarch 0:7-11.ns7 will be updated
---> Package nethserver-release.noarch 0:7-12.ns7 will be an update
---> Package nethserver-samba.noarch 0:4.2.0-1.ns7 will be updated
---> Package nethserver-samba.noarch 0:4.2.1-1.ns7 will be an update
---> Package nethserver-subscription.noarch 0:3.2.1-1.ns7 will be updated
---> Package nethserver-subscription.noarch 0:3.3.0-1.ns7 will be an update
---> Package nethserver-subscription-ui.noarch 0:3.2.1-1.ns7 will be updated
---> Package nethserver-subscription-ui.noarch 0:3.3.0-1.ns7 will be an update
--> Running transaction check
---> Package nextcloud.noarch 0:14.0.4-1.el7 will be updated
---> Package nextcloud.noarch 0:15.0.0-1.el7 will be an update
--> Processing Dependency: rh-php71-php-imagick for package: nextcloud-15.0.0-1.el7.noarch
--> Running transaction check
---> Package sclo-php71-php-pecl-imagick.x86_64 0:3.4.3-2.el7 will be installed
--> Processing Dependency: libMagickWand.so.5()(64bit) for package: sclo-php71-php-pecl-imagick-3.4.3-2.el7.x86_64
--> Processing Dependency: libMagickCore.so.5()(64bit) for package: sclo-php71-php-pecl-imagick-3.4.3-2.el7.x86_64
--> Running transaction check
---> Package ImageMagick.x86_64 0:6.7.8.9-15.el7_2 will be installed
--> Processing Dependency: libwmflite-0.2.so.7()(64bit) for package: ImageMagick-6.7.8.9-15.el7_2.x86_64
--> Processing Dependency: librsvg-2.so.2()(64bit) for package: ImageMagick-6.7.8.9-15.el7_2.x86_64
--> Processing Dependency: libjasper.so.1()(64bit) for package: ImageMagick-6.7.8.9-15.el7_2.x86_64
--> Processing Dependency: libgdk_pixbuf-2.0.so.0()(64bit) for package: ImageMagick-6.7.8.9-15.el7_2.x86_64
--> Processing Dependency: libImath.so.6()(64bit) for package: ImageMagick-6.7.8.9-15.el7_2.x86_64
--> Processing Dependency: libIlmThread.so.6()(64bit) for package: ImageMagick-6.7.8.9-15.el7_2.x86_64
--> Processing Dependency: libIlmImf.so.7()(64bit) for package: ImageMagick-6.7.8.9-15.el7_2.x86_64
--> Processing Dependency: libIexMath.so.6()(64bit) for package: ImageMagick-6.7.8.9-15.el7_2.x86_64
--> Processing Dependency: libIex.so.6()(64bit) for package: ImageMagick-6.7.8.9-15.el7_2.x86_64
--> Processing Dependency: libHalf.so.6()(64bit) for package: ImageMagick-6.7.8.9-15.el7_2.x86_64
--> Running transaction check
---> Package OpenEXR-libs.x86_64 0:1.7.1-7.el7 will be installed
---> Package gdk-pixbuf2.x86_64 0:2.36.12-3.el7 will be installed
---> Package ilmbase.x86_64 0:1.0.3-7.el7 will be installed
---> Package jasper-libs.x86_64 0:1.900.1-33.el7 will be installed
---> Package librsvg2.x86_64 0:2.40.20-1.el7 will be installed
---> Package libwmf-lite.x86_64 0:0.2.8.4-41.el7_1 will be installed
base/7/x86_64/filelists_db                               | 7.1 MB     00:00
centos-sclo-rh/x86_64/filelists_db                       |  11 MB     00:00
centos-sclo-sclo/x86_64/filelists_db                     | 882 kB     00:00
epel/x86_64/filelists                                    |  10 MB     00:00
extras/7/x86_64/filelists_db                             | 189 kB     00:00
nethforge/7/x86_64/filelists_db                          |  46 kB     00:00
nethserver-base/7/x86_64/filelists_db                    | 660 kB     00:00
nethserver-updates/7/x86_64/filelists_db                 | 139 kB     00:00
updates/7/x86_64/filelists_db                            | 1.4 MB     00:00
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package                     Arch   Version          Repository            Size
================================================================================
Updating:
nethserver-base             noarch 3.6.2-1.ns7      /nethserver-base-3.6.2-1.ns7.noarch
                                                                         674 k
nethserver-cockpit          noarch 0.2.0-1.ns7      /nethserver-cockpit-0.2.0-1.ns7.noarch
                                                                         4.8 M
nethserver-mail-smarthost   noarch 2.4.3-1.ns7      /nethserver-mail-smarthost-2.4.3-1.ns7.noarch
                                                                          69 k
nethserver-nextcloud        noarch 1.4.0-1.ns7      /nethserver-nextcloud-1.4.0-1.ns7.noarch
                                                                          45 k
nethserver-release          noarch 7-12.ns7         /nethserver-release-7-12.ns7.noarch
                                                                          46 k
nethserver-samba            noarch 4.2.1-1.ns7      /nethserver-samba-4.2.1-1.ns7.noarch
                                                                         100 k
nethserver-subscription     noarch 3.3.0-1.ns7      /nethserver-subscription-3.3.0-1.ns7.noarch
                                                                          96 k
nethserver-subscription-ui  noarch 3.3.0-1.ns7      /nethserver-subscription-ui-3.3.0-1.ns7.noarch
                                                                          58 k
Installing for dependencies:
ImageMagick                 x86_64 6.7.8.9-15.el7_2 base                 2.1 M
OpenEXR-libs                x86_64 1.7.1-7.el7      base                 217 k
gdk-pixbuf2                 x86_64 2.36.12-3.el7    base                 570 k
ilmbase                     x86_64 1.0.3-7.el7      base                 100 k
jasper-libs                 x86_64 1.900.1-33.el7   base                 150 k
librsvg2                    x86_64 2.40.20-1.el7    base                 132 k
libwmf-lite                 x86_64 0.2.8.4-41.el7_1 base                  66 k
sclo-php71-php-pecl-imagick x86_64 3.4.3-2.el7      centos-sclo-sclo     115 k
Updating for dependencies:
nextcloud                   noarch 15.0.0-1.el7     nethserver-updates    33 M

Transaction Summary
================================================================================
Install             ( 8 Dependent packages)
Upgrade  8 Packages (+1 Dependent package)

Total size: 42 M
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
Warning: RPMDB altered outside of yum.
 Updating   : nethserver-base-3.6.2-1.ns7.noarch                          1/26
 Updating   : nethserver-subscription-3.3.0-1.ns7.noarch                  2/26
 Installing : jasper-libs-1.900.1-33.el7.x86_64                           3/26
 Installing : gdk-pixbuf2-2.36.12-3.el7.x86_64                            4/26
 Installing : ilmbase-1.0.3-7.el7.x86_64                                  5/26
 Installing : OpenEXR-libs-1.7.1-7.el7.x86_64                             6/26
 Installing : librsvg2-2.40.20-1.el7.x86_64                               7/26
 Installing : libwmf-lite-0.2.8.4-41.el7_1.x86_64                         8/26
 Installing : ImageMagick-6.7.8.9-15.el7_2.x86_64                         9/26
 Installing : sclo-php71-php-pecl-imagick-3.4.3-2.el7.x86_64             10/26
 Updating   : nextcloud-15.0.0-1.el7.noarch                              11/26
 Updating   : nethserver-nextcloud-1.4.0-1.ns7.noarch                    12/26
 Updating   : nethserver-subscription-ui-3.3.0-1.ns7.noarch              13/26
 Updating   : nethserver-cockpit-0.2.0-1.ns7.noarch                      14/26
 Updating   : nethserver-samba-4.2.1-1.ns7.noarch                        15/26
 Updating   : nethserver-mail-smarthost-2.4.3-1.ns7.noarch               16/26
 Updating   : nethserver-release-7-12.ns7.noarch                         17/26
 Cleanup    : nethserver-nextcloud-1.3.0-1.ns7.noarch                    18/26
 Cleanup    : nethserver-cockpit-0.1.1-1.ns7.noarch                      19/26
 Cleanup    : nethserver-mail-smarthost-2.4.2-1.ns7.noarch               20/26
 Cleanup    : nethserver-subscription-ui-3.2.1-1.ns7.noarch              21/26
 Cleanup    : nethserver-subscription-3.2.1-1.ns7.noarch                 22/26
 Cleanup    : nethserver-samba-4.2.0-1.ns7.noarch                        23/26
 Cleanup    : nethserver-base-3.6.1-1.ns7.noarch                         24/26
 Cleanup    : nextcloud-14.0.4-1.el7.noarch                              25/26
 Cleanup    : nethserver-release-7-11.ns7.noarch                         26/26
 Verifying  : nethserver-release-7-12.ns7.noarch                          1/26
 Verifying  : gdk-pixbuf2-2.36.12-3.el7.x86_64                            2/26
 Verifying  : nethserver-samba-4.2.1-1.ns7.noarch                         3/26
 Verifying  : nethserver-subscription-3.3.0-1.ns7.noarch                  4/26
 Verifying  : ilmbase-1.0.3-7.el7.x86_64                                  5/26
 Verifying  : nethserver-subscription-ui-3.3.0-1.ns7.noarch               6/26
 Verifying  : OpenEXR-libs-1.7.1-7.el7.x86_64                             7/26
 Verifying  : libwmf-lite-0.2.8.4-41.el7_1.x86_64                         8/26
 Verifying  : nextcloud-15.0.0-1.el7.noarch                               9/26
 Verifying  : nethserver-mail-smarthost-2.4.3-1.ns7.noarch               10/26
 Verifying  : librsvg2-2.40.20-1.el7.x86_64                              11/26
 Verifying  : nethserver-cockpit-0.2.0-1.ns7.noarch                      12/26
 Verifying  : sclo-php71-php-pecl-imagick-3.4.3-2.el7.x86_64             13/26
 Verifying  : jasper-libs-1.900.1-33.el7.x86_64                          14/26
 Verifying  : nethserver-base-3.6.2-1.ns7.noarch                         15/26
 Verifying  : ImageMagick-6.7.8.9-15.el7_2.x86_64                        16/26
 Verifying  : nethserver-nextcloud-1.4.0-1.ns7.noarch                    17/26
 Verifying  : nethserver-subscription-3.2.1-1.ns7.noarch                 18/26
 Verifying  : nethserver-samba-4.2.0-1.ns7.noarch                        19/26
 Verifying  : nethserver-base-3.6.1-1.ns7.noarch                         20/26
 Verifying  : nethserver-nextcloud-1.3.0-1.ns7.noarch                    21/26
 Verifying  : nethserver-cockpit-0.1.1-1.ns7.noarch                      22/26
 Verifying  : nextcloud-14.0.4-1.el7.noarch                              23/26
 Verifying  : nethserver-mail-smarthost-2.4.2-1.ns7.noarch               24/26
 Verifying  : nethserver-release-7-11.ns7.noarch                         25/26
 Verifying  : nethserver-subscription-ui-3.2.1-1.ns7.noarch              26/26

Dependency Installed:
 ImageMagick.x86_64 0:6.7.8.9-15.el7_2
 OpenEXR-libs.x86_64 0:1.7.1-7.el7
 gdk-pixbuf2.x86_64 0:2.36.12-3.el7
 ilmbase.x86_64 0:1.0.3-7.el7
 jasper-libs.x86_64 0:1.900.1-33.el7
 librsvg2.x86_64 0:2.40.20-1.el7
 libwmf-lite.x86_64 0:0.2.8.4-41.el7_1
 sclo-php71-php-pecl-imagick.x86_64 0:3.4.3-2.el7

Updated:
 nethserver-base.noarch 0:3.6.2-1.ns7
 nethserver-cockpit.noarch 0:0.2.0-1.ns7
 nethserver-mail-smarthost.noarch 0:2.4.3-1.ns7
 nethserver-nextcloud.noarch 0:1.4.0-1.ns7
 nethserver-release.noarch 0:7-12.ns7
 nethserver-samba.noarch 0:4.2.1-1.ns7
 nethserver-subscription.noarch 0:3.3.0-1.ns7
 nethserver-subscription-ui.noarch 0:3.3.0-1.ns7

Dependency Updated:
 nextcloud.noarch 0:15.0.0-1.el7

Complete!

This is a cumbersome workaround but it appears to have been successful. Would like a better long-term solution if anyone has one. Thanks!


(Marc) #7

I can reproduce the error. I think it is due to invalid delta-rpms (like requesting a byte-range outside the file boundaries) for nethserver-cockpit (at least), similar to this issue:


(Avery Freeman) #8

Oh, that’s great news. Do you think uninstalling deltarpm might solve the problem?


(Marc) #9

Yes. But you can disable it at runtime, globally in yum.conf, or per repository.
You know these Xmas dates, if you are not in a hurry I’d rather wait some days till devs can take a look at it.


(Avery Freeman) #10

Yep, sounds great!

Thanks for the better solution than the one I came up with. I will probably disable deltarpm for NethServer.repo - what great community support this has been :slight_smile:

Happy Holidays


(Giacomo Sanchietti) #11

I issued a rebuild of repository metadata: let’s see if this fix the problem.


(Avery Freeman) #12

rad, thanks :slight_smile:


(Matthieu Gaillet) #13

I’ve got this problem as well even after yum --enablerepo=* clean all

Specifically in my case I get

Trying other mirror.
nethserver-cockpit-0.2.0-1.ns7 FAILED                                          
http://ns-mirror3.ibi.net.br/7.6.1810/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.


Error downloading packages:
  nethserver-cockpit-0.2.0-1.ns7.noarch: [Errno 256] No more mirrors to try.

Package update fails on nethserver-dc
(Stéphane de Labrusse) #14

check the repository enabled

yum repolist

you could check deeply also

yum repolist -v | less


(Matthieu Gaillet) #15
repo id                                     repo name                                                     status
!ce-base/7/x86_64                           CE-Base-7.6.1810                                              10,019
!ce-extras/7/x86_64                         CE-Extras-7.6.1810                                               321
!ce-updates/7/x86_64                        CE-Updates-7.6.1810                                              624
!centos-sclo-rh/x86_64                      CentOS-7 - SCLo rh                                             7,857
!centos-sclo-sclo/x86_64                    CentOS-7 - SCLo sclo                                             724
!epel/x86_64                                Extra Packages for Enterprise Linux 7 - x86_64                12,776
!nethforge/7/x86_64                         NethForge 7                                                       25
!nethserver-base/7/x86_64                   NethServer-7 - Base                                              322
!nethserver-updates/7/x86_64                NethServer-7 - Updates                                            24
repolist: 32,692

(Matthieu Gaillet) #16
[root@mattlabs ~]# yum repolist -v | less
[root@mattlabs ~]# yum repolist -v
Loading "changelog" plugin
Loading "fastestmirror" plugin
Loading "nethserver_events" plugin
Loading "product-id" plugin
Loading "search-disabled-repos" plugin
Loading "subscription-manager" plugin
Updating Subscription Management repositories.
Unable to read consumer identity
This system is not registered with an entitlement server. You can use subscription-manager to register.
Config time: 0.135
Yum version: 3.4.3
Loading mirror speeds from cached hostfile
 * ce-base: mi.mirror.garr.it
 * ce-extras: mi.mirror.garr.it
 * ce-updates: mi.mirror.garr.it
 * epel: mirror.infonline.de
 * nethforge: mirror.framassa.org
 * nethserver-base: mirror.framassa.org
 * nethserver-updates: mirror.framassa.org
Setting up Package Sacks
pkgsack time: 0.024
Repo-id      : ce-base/7/x86_64
Repo-name    : CE-Base-7.6.1810
Repo-revision: 1543161601
Repo-updated : Sun Nov 25 17:00:34 2018
Repo-pkgs    : 10,019
Repo-size    : 9.4 G
Repo-mirrors : http://mirrorlist.nethserver.org/?release=7&repo=ce-base&arch=x86_64&nsrelease=7.6.1810
Repo-updated : Mon Dec 10 17:00:03 2018
Repo-pkgs    : 321
Repo-size    : 392 M
Repo-mirrors : http://mirrorlist.nethserver.org/?release=7&repo=ce-extras&arch=x86_64&nsrelease=7.6.1810
Repo-baseurl : http://mi.mirror.garr.it/mirrors/CentOS/7.6.1810/extras/x86_64/ (8 more)
Repo-expire  : 21,600 second(s) (last: Fri Dec 28 11:56:48 2018)
  Filter     : read-only:present
Repo-filename: /etc/yum.repos.d/NsReleaseLock.repo

Repo-id      : ce-updates/7/x86_64
Repo-name    : CE-Updates-7.6.1810
Repo-revision: 1545413965
Repo-updated : Fri Dec 21 18:42:32 2018
Repo-pkgs    : 624
Repo-size    : 3.5 G
Repo-mirrors : http://mirrorlist.nethserver.org/?release=7&repo=ce-updates&arch=x86_64&nsrelease=7.6.1810
Repo-baseurl : http://mi.mirror.garr.it/mirrors/CentOS/7.6.1810/updates/x86_64/ (8 more)
Repo-expire  : 21,600 second(s) (last: Fri Dec 28 11:56:49 2018)
  Filter     : read-only:present
Repo-filename: /etc/yum.repos.d/NsReleaseLock.repo

Repo-id      : centos-sclo-rh/x86_64
Repo-name    : CentOS-7 - SCLo rh
Repo-revision: 1544056569
Repo-updated : Thu Dec  6 01:38:08 2018
Repo-pkgs    : 7,857
Repo-size    : 6.5 G
Repo-baseurl : http://mirror.centos.org/centos/7/sclo/x86_64/rh/
Repo-expire  : 21,600 second(s) (last: Fri Dec 28 11:56:49 2018)
  Filter     : read-only:present
Repo-filename: /etc/yum.repos.d/CentOS-SCLo-scl-rh.repo

Repo-id      : centos-sclo-sclo/x86_64
Repo-name    : CentOS-7 - SCLo sclo
Repo-revision: 1545675716
Repo-updated : Mon Dec 24 19:22:00 2018
Repo-pkgs    : 724
Repo-size    : 231 M
Repo-baseurl : http://mirror.centos.org/centos/7/sclo/x86_64/sclo/
Repo-expire  : 21,600 second(s) (last: Fri Dec 28 11:56:49 2018)
  Filter     : read-only:present
Repo-filename: /etc/yum.repos.d/CentOS-SCLo-scl.repo

Repo-id      : epel/x86_64
Repo-name    : Extra Packages for Enterprise Linux 7 - x86_64
Repo-revision: 1545977379
Repo-updated : Fri Dec 28 07:10:52 2018
Repo-pkgs    : 12,776
Repo-size    : 14 G
Repo-metalink: https://mirrors.fedoraproject.org/metalink?repo=epel-7&arch=x86_64
  Updated    : Fri Dec 28 07:10:52 2018
Repo-baseurl : https://mirror.infonline.de/epel/7/x86_64/ (47 more)
Repo-expire  : 21,600 second(s) (last: Fri Dec 28 11:56:49 2018)
  Filter     : read-only:present
Repo-filename: /etc/yum.repos.d/epel.repo

Repo-id      : nethforge/7/x86_64
Repo-name    : NethForge 7
Repo-revision: 1545139738
Repo-updated : Tue Dec 18 14:28:59 2018
Repo-pkgs    : 25
Repo-size    : 129 M
Repo-mirrors : http://mirrorlist.nethserver.org/?release=7&repo=nethforge&arch=x86_64&nsrelease=7.6.1810
Repo-baseurl : http://mirror.framassa.org/nethserver/7.6.1810/nethforge/x86_64/ (17 more)
Repo-expire  : 21,600 second(s) (last: Fri Dec 28 11:56:49 2018)
  Filter     : read-only:present
Repo-filename: /etc/yum.repos.d/NethForge.repo

Repo-id      : nethserver-base/7/x86_64
Repo-name    : NethServer-7 - Base
Repo-revision: 1544698988
Repo-updated : Thu Dec 13 12:03:18 2018
Repo-pkgs    : 322
Repo-size    : 1.0 G
Repo-mirrors : http://mirrorlist.nethserver.org/?release=7&repo=base&arch=x86_64&nsrelease=7.6.1810
Repo-baseurl : http://mirror.framassa.org/nethserver/7.6.1810/base/x86_64/ (17 more)
Repo-expire  : 21,600 second(s) (last: Fri Dec 28 11:56:50 2018)
  Filter     : read-only:present
Repo-filename: /etc/yum.repos.d/NethServer.repo

Repo-id      : nethserver-updates/7/x86_64
Repo-name    : NethServer-7 - Updates
Repo-revision: 1545904974
Repo-updated : Thu Dec 27 11:02:55 2018
Repo-pkgs    : 24
Repo-size    : 150 M
Repo-mirrors : http://mirrorlist.nethserver.org/?release=7&repo=updates&arch=x86_64&nsrelease=7.6.1810
Repo-baseurl : http://mirror.framassa.org/nethserver/7.6.1810/updates/x86_64/ (17 more)
Repo-expire  : 21,600 second(s) (last: Fri Dec 28 11:56:50 2018)
  Filter     : read-only:present
Repo-filename: /etc/yum.repos.d/NethServer.repo

repolist: 32,692

(Matthieu Gaillet) #17

NB / This looks closely related to 7.6. I think all my servers exhibits this problem, wether they are upgraded or fresh installed.


(Bill ) #18

After almost a week of dealing with this problem it’s good to know I’m not alone


(Marc) #19

As commented before, disabling rpm-deltas made the update work:

yum --setopt=deltarpm=0 update nethserver-cockpit

I don’t know if it is the correct way to test this or it’s of any use for the repo maintainers, but when applying deltarpm to nethserver-cockpit or when generating delta-rpm from the packages the resulting checksum differs:

# applydeltarpm -r nethserver-cockpit-0.1.1-1.ns7.noarch.rpm nethserver-cockpit-0.1.1-1.ns7_0.2.0-1.ns7.noarch.drpm nethserver-cockpit.rpm
# makedeltarpm nethserver-cockpit-0.1.1-1.ns7.noarch.rpm nethserver-cockpit-0.2.0-1.ns7.noarch.rpm nethserver-cockpit.drpm
# sha256sum *.drpm
0ff5da42a7474b544008cfbc22694a17700a2a8e2b707aa96fcdc5698a9537e4  nethserver-cockpit-0.1.1-1.ns7_0.2.0-1.ns7.noarch.drpm
73b91db4a5b0fe0b9b112d2180035b4c57ec8bf2a1ca916a2da3740a4089892e  nethserver-cockpit.drpm

# sha256sum *.rpm
a9bd1125bc989dc382cda9ad607d6c460421e3a55fdac1c4f4bc842deabaa22c  nethserver-cockpit-0.1.1-1.ns7.noarch.rpm
fd4e709cab94499fd046f4b2ad82b6ff14a2a5cbef36c734288950a439b06c67  nethserver-cockpit-0.2.0-1.ns7.noarch.rpm
61e8373a2536e6cdb87ed87c1400d6e90a7ed3c0eef19e5943ffc98df961600a  nethserver-cockpit.rpm   # shouldn't it be the same as nethserver-cockpit-0.2.0-1.ns7.noarch.rpm ?

7.6 subscription release date
Update - Error downloading packages
(Bill ) #20

I did:
rpm -Uvh http://mrmarkuz.goip.de/mirror/nethserver/7/updates/x86_64/Packages/nethserver-cockpit-0.2.0-1.ns7.noarch.rmp
and that removed cockpit-0.1.1-1.ns7 and installed cockpit-0.2.0-1.ns7
After that the Gui update was able to run successfully.